# ipe::Thumbnail Class Reference

`#include <ipethumbs.h>`

List of all members.

## Public Member Functions

- Thumbnail (const Document *doc, int width)
- ~Thumbnail ()
- int height () const
- Buffer render (const Page *page, int view)

## Constructor & Destructor Documentation

Thumbnail::Thumbnail | ( | const Document * | doc,
|  | int | width
| ) |  |

Thumbnail::~Thumbnail | ( |  | ) |

## Member Function Documentation

int ipe::Thumbnail::height | ( |  | ) | const`[inline]`

Buffer Thumbnail::render | ( | const Page * | page,
|  | int | view
| ) |  |

The documentation for this class was generated from the following files:

- ipethumbs.h
- ipethumbs.cpp